function [testnonnul,R,I,T,N]=prepar_courbure_pol(simpli,rch);

% prepar_courbure prpare le calcul du rayon de courbure et du repre de Frenet en polaire
%
% [testnonnul,R,I,T,N]=prepar_courbure(simpli,rch) : 
%  
%	variables d'entres : 
%     * simpli : entier qui gal  un force la simplification (qui ne marche pas toujours)
%     * rch  : une chane de caractre de la forme 'r(theta)' o theta est la seule variable 
%
%	variables de sortie : 
%     * testnonnul : fonction test  une composante qui, nulle, indique que 
%                   les coordonnes du centre de courbure ne sont pas calculables
%                  (en fonction inline)
%     * R : le rayon de courbure  (en fonction inline)
%     * I : le centre de courbure (en fonction inline)
%     * T et N : les vecteurs du mme nom (en fonction inline)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%     aucune
%
% *********************************************************
%
% (c) 2005 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr


% calcul de R
rsy=sym(rch);
rd1sy=diff(rsy);
rd2sy=diff(rd1sy);
Q=(rsy)^2+(rd1sy)^2;
syms theta;
if simpli
   deltaa=simplify(rsy^2+2*(rd1sy)^2-rsy*rd2sy);
   auxiR=simplify((Q^(3/2))/deltaa);
   auxiRbis=simplify(Q/deltaa);
   auxiI1=simplify(rsy*cos(theta)+auxiRbis*(-rsy*cos(theta)-rd1sy*sin(theta)));
   auxiI2=simplify(rsy*sin(theta)+auxiRbis*(-rsy*sin(theta)+rd1sy*cos(theta)));
   auxiT1=simplify((rd1sy*cos(theta)-rsy*sin(theta))/sqrt(Q));
   auxiT2=simplify((rd1sy*sin(theta)+rsy*cos(theta))/sqrt(Q));
   auxiN1=simplify((-rsy*cos(theta)-rd1sy*sin(theta))/sqrt(Q));
   auxiN2=simplify((-rsy*sin(theta)+rd1sy*cos(theta))/sqrt(Q));
else
   deltaa=rsy^2+2*(rd1sy)^2-rsy*rd2sy;
   auxiR=(Q^(3/2))/deltaa;
   auxiRbis=Q/deltaa;
   auxiI1=rsy*cos(theta)+auxiR*(-rsy*cos(theta)-rd1sy*sin(theta));
   auxiI2=rsy*sin(theta)+auxiR*(-rsy*sin(theta)+rd1sy*cos(theta));
   auxiT1=(rd1sy*cos(theta)-rsy*sin(theta))/sqrt(Q);
   auxiT2=(rd1sy*sin(theta)+rsy*cos(theta))/sqrt(Q);
   auxiN1=(-rsy*cos(theta)-rd1sy*sin(theta))/sqrt(Q);
   auxiN2=(-rsy*sin(theta)+rd1sy*cos(theta))/sqrt(Q);
end
syms t;
auxiT1=char(auxiT1);
auxiT2=char(auxiT2);
auxiN1=char(auxiN1);
auxiN2=char(auxiN2);
auxiI1=char(auxiI1);
auxiI2=char(auxiI2);
I=['[',auxiI1,',',auxiI2,']'];
T=['[',auxiT1,',',auxiT2,']'];
N=['[',auxiN1,',',auxiN2,']'];
I=inline(I,'theta');
T=inline(T,'theta');
N=inline(N,'theta');
R=char(auxiR);
R=inline(R,'theta');
% calcul de testnnonul
testnonnul=char(deltaa);
testnonnul=inline(testnonnul,'theta');
